const config = require('../../config');
const providers = config.providers;
const crypto = require('crypto');
const bcrypt = require('bcrypt');
const moment = require('moment');

module.exports = function(sequelize, DataTypes) {
  const survey_response_items = sequelize.define(
    'survey_response_items',
    {
      id: {
        type: DataTypes.UUID,
        defaultValue: DataTypes.UUIDV4,
        primaryKey: true,
      },

answer_value: {
        type: DataTypes.TEXT,
      
      

      },

      importHash: {
        type: DataTypes.STRING(255),
        allowNull: true,
        unique: true,
      },
    },
    {
      timestamps: true,
      paranoid: true,
      freezeTableName: true,
    },
  );

  survey_response_items.associate = (db) => {


/// loop through entities and it's fields, and if ref === current e[name] and create relation has many on parent entity















































//end loop



    db.survey_response_items.belongsTo(db.survey_responses, {
      as: 'survey_response',
      foreignKey: {
        name: 'survey_responseId',
      },
      constraints: false,
    });

    db.survey_response_items.belongsTo(db.survey_questions, {
      as: 'survey_question',
      foreignKey: {
        name: 'survey_questionId',
      },
      constraints: false,
    });

    db.survey_response_items.belongsTo(db.organizations, {
      as: 'organizations',
      foreignKey: {
        name: 'organizationsId',
      },
      constraints: false,
    });




    db.survey_response_items.belongsTo(db.users, {
      as: 'createdBy',
    });

    db.survey_response_items.belongsTo(db.users, {
      as: 'updatedBy',
    });
  };



  return survey_response_items;
};


